## Compare Csv For Replace

### cURL

```bash
curl --request POST \
  --url https://flows.super.ai/api/integrations/database/{db_id}/upload/compare \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
```

### Python

```python
import requests

url = "https://flows.super.ai/api/integrations/database/{db_id}/upload/compare"

payload = {}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {
  method: 'POST',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({})
};

fetch('https://flows.super.ai/api/integrations/database/{db_id}/upload/compare', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Example (422)

```json
{
  "detail": [
    { 
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
```

### Authorizations

- **X-API-Key** (string, header, required): API key authentication. Include your API key in the X-API-Key header as: `X-API-Key YOUR_API_KEY`

**Example:**
```bash
X-API-Key: saf_1234567890
```

- **Authorization** (string, header, required): JWT Bearer token authentication. Include your access token in the Authorization header as: `Bearer YOUR_ACCESS_TOKEN`

**Example:**
```bash
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
```

### Path Parameters

- **db_id** (string, required)

### Body

- `application/json`: The body is of type `Request · object`.

### Response

- **200** `application/json`: Successful Response.

[Generate database upload URL](https://docs.flows.super.ai/api/reference/integrations/generate-database-upload-url) | [Complete File Upload](https://docs.flows.super.ai/api/reference/integrations/complete-file-upload)
